summaryrefslogtreecommitdiffstats
path: root/audio/audacity/audacity.SlackBuild
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:36:51 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:36:51 +0200
commit2170555a9cf150ba28cbf322b767743898386c45 (patch)
tree4eed40fbf35a24b809f001ed8d65ce5cff0f2de6 /audio/audacity/audacity.SlackBuild
parente1744a4a7b3abb21bcb2b7cf44ffd47ac9b5ad09 (diff)
downloadslackbuilds-2170555a9cf150ba28cbf322b767743898386c45.tar.gz
slackbuilds-2170555a9cf150ba28cbf322b767743898386c45.tar.xz
audio/audacity: Updated for version 1.3.7
Diffstat (limited to 'audio/audacity/audacity.SlackBuild')
-rw-r--r--audio/audacity/audacity.SlackBuild66
1 files changed, 47 insertions, 19 deletions
diff --git a/audio/audacity/audacity.SlackBuild b/audio/audacity/audacity.SlackBuild
index 498019a9b4..3e79d09933 100644
--- a/audio/audacity/audacity.SlackBuild
+++ b/audio/audacity/audacity.SlackBuild
@@ -2,18 +2,36 @@
# Slackware build script for Audacity
-# Written by Chess Griffin <chess at chessgriffin dot com>
-# Thanks to Eric Hameleers for adding the audacity.desktop
-# file and other tweaks and bug fixes. Thanks to Heinz
-# Wiesinger for bug fixes and and the soundtouch and twolame
-# improvements.
+# Copyright 2006-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to Eric Hameleers for adding the audacity.desktop file
+# and other tweaks and bug fixes. Thanks to Heinz Wiesinger for
+# bug fixes and and the soundtouch and twolame improvements.
# Modified by the SlackBuilds.org project
PRGNAM=audacity
-VERSION=1.3.6
+VERSION=1.3.7
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -38,29 +56,33 @@ fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-src-$VERSION
-tar -xvf $CWD/$PRGNAM-src-$VERSION.tar.bz2 || exit 1
+rm -rf $PRGNAM-minsrc-$VERSION
+tar xvf $CWD/$PRGNAM-minsrc-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-src-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-# The following is needed until Slackware officially ships
-# autotools-1.10.
-sed -i "s|am__api_version='1.10'|am__api_version='1.9'|" lib-src/portsmf/configure
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--enable-unicode \
--enable-nyquist \
--enable-vamp \
@@ -78,13 +100,19 @@ CXXFLAGS="$SLKCFLAGS" \
make || exit 1
make install DESTDIR=$PKG || exit 1
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
-# We're going to overwrite the include audacity.desktop file with ours,
+# We're going to overwrite the included audacity.desktop file with ours,
# and the icon isn't added at all by upstream, so we'll do that here
-install -D -m 0644 $CWD/audacity.desktop $PKG/usr/share/applications/audacity.desktop
-install -D -m 0644 images/AudacityLogo48x48.xpm $PKG/usr/share/pixmaps/audacity.xpm
+install -D -m 0644 $CWD/audacity.desktop \
+ $PKG/usr/share/applications/audacity.desktop
+install -D -m 0644 images/AudacityLogo48x48.xpm \
+ $PKG/usr/share/pixmaps/audacity.xpm
# Move manpage directory to proper loacation; pages are gzipped already
mv $PKG/usr/share/man $PKG/usr